package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("体检报告模板项目")
public class HealthMedicalReportProjectVO {
   @ApiModelProperty("体检项目id")
   private Long medicalProjectId;
   @ApiModelProperty("体检项目名称")
   private String medicalProjectName;
   @ApiModelProperty("模板项目详情")
   private List<HealthMedicalReportDetailVO> medicalReportDetailVOList;

   public Long getMedicalProjectId() {
      return this.medicalProjectId;
   }

   public String getMedicalProjectName() {
      return this.medicalProjectName;
   }

   public List<HealthMedicalReportDetailVO> getMedicalReportDetailVOList() {
      return this.medicalReportDetailVOList;
   }

   public void setMedicalProjectId(final Long medicalProjectId) {
      this.medicalProjectId = medicalProjectId;
   }

   public void setMedicalProjectName(final String medicalProjectName) {
      this.medicalProjectName = medicalProjectName;
   }

   public void setMedicalReportDetailVOList(final List<HealthMedicalReportDetailVO> medicalReportDetailVOList) {
      this.medicalReportDetailVOList = medicalReportDetailVOList;
   }

   public String toString() {
      Long var10000 = this.getMedicalProjectId();
      return "HealthMedicalReportProjectVO(medicalProjectId=" + var10000 + ", medicalProjectName=" + this.getMedicalProjectName() + ", medicalReportDetailVOList=" + String.valueOf(this.getMedicalReportDetailVOList()) + ")";
   }
}
